Debian Bug report logs - #470253
ghostscript: ps2pdf fails to find gs_init.ps

version graph

Package: ghostscript; Maintainer for ghostscript is Debian Printing Team <debian-printing@lists.debian.org>; Source for ghostscript is src:ghostscript.

Reported by: Julien Bigot <anarky@ifrance.com>

Date: Mon, 10 Mar 2008 10:12:02 UTC

Severity: grave

Found in version ghostscript/8.62.dfsg.1-1

Fixed in version ghostscript/8.62.dfsg.1-2

Done: Masayuki Hatta (mhatta) <mhatta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#470253; Package ghostscript. Full text and rfc822 format available.

Acknowledgement sent to Julien Bigot <anarky@ifrance.com>:
New Bug report received and forwarded. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Bigot <anarky@ifrance.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ghostscript: ps2pdf fails to find gs_init.ps
Date: Mon, 10 Mar 2008 11:10:14 +0100
Package: ghostscript
Version: 8.62.dfsg.1-1
Severity: grave
Justification: renders package unusable


when trying to use ps2pdf or gs, I get the following error :
GPL Ghostscript 8.61: Can't find initialization file gs_init.ps.

This file is installed :
$ dpkg -L ghostscript | grep gs_init.ps
/usr/share/ghostscript/8.62/lib/gs_init.ps

but gs doesn't look in this place :
$ strace gs myfile.ps 2>&1 | grep gs_init.ps
open("gs_init.ps", O_RDONLY)            = -1 ENOENT (No such file or directory)
open("./gs_init.ps", O_RDONLY)          = -1 ENOENT (No such file or directory)
open("/home/jbigot/.fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/ghostscript/8.61/lib/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/ghostscript/8.61/Resource/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/ghostscript/fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/var/lib/defoma/gs.d/dirs/fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/cups/fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/ghostscript/fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/local/lib/ghostscript/fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/fonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/fonts/type1/gsfonts/gs_init.ps", O_RDONLY) = -1 ENOENT (No such file or directory)
write(2, "Can\'t find initialization file g"..., 43Can't find initialization file gs_init.ps.

I tryed to link gs_init.ps in ~/.fonts/ but then got another error :
gs: Interpreter revision (861) does not match gs_init.ps revision (862).

Installed version of ghostscript is :
ii  ghostscript                                 8.62.dfsg.1-1


Please let me know if I can provide more informations.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ghostscript depends on:
ii  debconf [debc 1.5.19                     Debian configuration management sy
ii  debianutils   2.28.4                     Miscellaneous utilities specific t
ii  defoma        0.11.10-0.2                Debian Font Manager -- automatic f
ii  gsfonts       1:8.11+urwcyr1.0.7~pre43-2 Fonts for the Ghostscript interpre
ii  libc6         2.7-9                      GNU C Library: Shared libraries
ii  libgs8        8.61.dfsg.1-1.1            The Ghostscript PostScript/PDF int

Versions of packages ghostscript recommends:
ii  psfontmgr                    0.11.10-0.2 PostScript font manager -- part of

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#470253; Package ghostscript. Full text and rfc822 format available.

Acknowledgement sent to Julien Bigot <anarky@ifrance.com>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #10 received at 470253@bugs.debian.org (full text, mbox):

From: Julien Bigot <anarky@ifrance.com>
To: 470253@bugs.debian.org
Date: Mon, 10 Mar 2008 15:02:58 +0100
I think I understood where the bug comes from.

I have libgs8 at version 8.61 (because libokularcore1 from experimental 
depends on this specific version)
ghostscript has been updated to version 8.62 because it depends on libgs8 at 
any version.
However, it seems that ghostscript 8.62 needs the 8.62 version of libgs8 (or 
is it libgs8 8.61 that needs the 8.61 version of ghostscript ?)

So, a simple fix could be to update ghostscript 8.62's dependancy to require 
libgs8 at the exact 8.62 version.




Reply sent to Masayuki Hatta (mhatta) <mhatta@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien Bigot <anarky@ifrance.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 470253-close@bugs.debian.org (full text, mbox):

From: Masayuki Hatta (mhatta) <mhatta@debian.org>
To: 470253-close@bugs.debian.org
Subject: Bug#470253: fixed in ghostscript 8.62.dfsg.1-2
Date: Wed, 12 Mar 2008 20:47:15 +0000
Source: ghostscript
Source-Version: 8.62.dfsg.1-2

We believe that the bug you reported is fixed in the latest version of
ghostscript, which is due to be installed in the Debian FTP archive:

ghostscript-doc_8.62.dfsg.1-2_all.deb
  to pool/main/g/ghostscript/ghostscript-doc_8.62.dfsg.1-2_all.deb
ghostscript-x_8.62.dfsg.1-2_i386.deb
  to pool/main/g/ghostscript/ghostscript-x_8.62.dfsg.1-2_i386.deb
ghostscript_8.62.dfsg.1-2.diff.gz
  to pool/main/g/ghostscript/ghostscript_8.62.dfsg.1-2.diff.gz
ghostscript_8.62.dfsg.1-2.dsc
  to pool/main/g/ghostscript/ghostscript_8.62.dfsg.1-2.dsc
ghostscript_8.62.dfsg.1-2_i386.deb
  to pool/main/g/ghostscript/ghostscript_8.62.dfsg.1-2_i386.deb
gs-aladdin_8.62.dfsg.1-2_all.deb
  to pool/main/g/ghostscript/gs-aladdin_8.62.dfsg.1-2_all.deb
gs-common_8.62.dfsg.1-2_all.deb
  to pool/main/g/ghostscript/gs-common_8.62.dfsg.1-2_all.deb
gs-esp_8.62.dfsg.1-2_all.deb
  to pool/main/g/ghostscript/gs-esp_8.62.dfsg.1-2_all.deb
gs-gpl_8.62.dfsg.1-2_all.deb
  to pool/main/g/ghostscript/gs-gpl_8.62.dfsg.1-2_all.deb
gs_8.62.dfsg.1-2_all.deb
  to pool/main/g/ghostscript/gs_8.62.dfsg.1-2_all.deb
libgs-dev_8.62.dfsg.1-2_i386.deb
  to pool/main/g/ghostscript/libgs-dev_8.62.dfsg.1-2_i386.deb
libgs8_8.62.dfsg.1-2_i386.deb
  to pool/main/g/ghostscript/libgs8_8.62.dfsg.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 470253@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Masayuki Hatta (mhatta) <mhatta@debian.org> (supplier of updated ghostscript package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 13 Mar 2008 02:30:51 +0900
Source: ghostscript
Binary: ghostscript gs gs-esp gs-gpl gs-aladdin gs-common ghostscript-x ghostscript-doc libgs8 libgs-dev
Architecture: source all i386
Version: 8.62.dfsg.1-2
Distribution: unstable
Urgency: low
Maintainer: Masayuki Hatta (mhatta) <mhatta@debian.org>
Changed-By: Masayuki Hatta (mhatta) <mhatta@debian.org>
Description: 
 ghostscript - The GPL Ghostscript PostScript/PDF interpreter
 ghostscript-doc - The GPL Ghostscript PostScript/PDF interpreter - Documentation
 ghostscript-x - The GPL Ghostscript PostScript/PDF interpreter - X Display suppor
 gs         - Transitional package
 gs-aladdin - Transitional package
 gs-common  - Transitional package
 gs-esp     - Transitional package
 gs-gpl     - Transitional package
 libgs-dev  - The Ghostscript PostScript Library - Development Files
 libgs8     - The Ghostscript PostScript/PDF interpreter Library
Closes: 449173 470253
Changes: 
 ghostscript (8.62.dfsg.1-2) unstable; urgency=low
 .
   * ghostscript: Tighten up versioned dependency on libgs8
     - closes: #470253
   * preinsts for each dummy packages now call update-alternatives
     to make sure gs symlinks are removed before the new ghostscript
     package is installed - closes: #449173
Files: 
 8f223c35d00c773e2c46b4ca45143a20 1070 text optional ghostscript_8.62.dfsg.1-2.dsc
 2d4aa92fee3ed925419caa66c617fa09 93258 text optional ghostscript_8.62.dfsg.1-2.diff.gz
 00b2ccdfffb96fefa7784c51537ff5f1 27886 text extra gs_8.62.dfsg.1-2_all.deb
 29d2284591f2ae45546a9b910fa996c4 27884 text extra gs-esp_8.62.dfsg.1-2_all.deb
 dafc71aa096abaa4eeb5bce68be6ccd3 27890 text extra gs-gpl_8.62.dfsg.1-2_all.deb
 174ccf086fed9b51d56528730e3f21b9 27886 text extra gs-aladdin_8.62.dfsg.1-2_all.deb
 b8e55b7ea8115e4d791f85ca41f42911 27894 text extra gs-common_8.62.dfsg.1-2_all.deb
 eff7b5f7a3d9b37b50702c4299523278 2789228 doc optional ghostscript-doc_8.62.dfsg.1-2_all.deb
 503577b4d95c61fd3e54714ed2c92fbf 794622 text optional ghostscript_8.62.dfsg.1-2_i386.deb
 254f116d06e511158e0a43528bedf6bc 59990 text optional ghostscript-x_8.62.dfsg.1-2_i386.deb
 74ed931d3499cbd94c6d0efc4f6f0df6 2199322 libs optional libgs8_8.62.dfsg.1-2_i386.deb
 c45f4fade6df1b67552744c507668dd7 34640 libdevel optional libgs-dev_8.62.dfsg.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH2BsJy2+jQOcHWlQRAqU2AKDE+856LIBrnIkhB7gfeJrm8ctnGACcCUBO
qH57qTWrCuvr6LKbbLxRAWo=
=r315
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Apr 2008 07:39:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:45:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.